﻿.index-banner-box{
    width: 100%;
    display: block;
    position: relative;
    overflow: hidden;
    margin-top: 100px;
}
.index-banner-box,
.index-banner-list,
.index-video-box,
.index-video,
.index-video-bg{
     height: calc(100vh - 100px);
}
.index-banner-list-box{
    width: 100%;
    display: block;
    position: relative;
}
.index-banner-list{
    width: 100%;
    display: block;

}
.index-banner-list span{
    height: 100%;
    width: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.index-banner{
    width: 100%;
    height: 100%;
    display: block;
    position: relative;
}

.index-banner-slong,
.index-video-slong{
    width: 100%;
    text-align: center;
    font-size: 24px;
    color: #FFF;
    font-weight: bold;
    letter-spacing: 2px;
    display: block;
    position: absolute;
    z-index: 9;
    top: 48%;
    cursor: context-menu;
}
.index-video-mask{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-image: url('../img/banner-mask.jpg');
    opacity: 0.4;
    z-index: 4;
}
.index-video-box{
    width: 100%;
    display: block;
    position: relative;
}
.index-video{
    width: 100%;
    height: 100%;
    position: relative;
    z-index: 5;
    display: block;
}

.index-video-bg{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.index-banner-slong-box{
    width: 100%;
    display: block;
    position: absolute;
    bottom: 25%;
    left: 0;
    z-index: 5;
    pointer-events: none;
    text-align: center;
}
.index-video-open{
    display: none;
}
.scoll{
    width: 68px;
    max-width: 100%;
    display:block;
    position: absolute;
    bottom: 8%;
    left: calc(50% - 34px);
    text-align: center;
}
/*過場動畫*/

.dt-loading-2 {
    width: 100%;
    height: 100vh;
    display: table;
    position: fixed;
    top: 0;
    z-index: 99999;
    transition: all .4s linear;
    background-color: #FFF;
}

.laying-2 {
   display: table-cell;
   vertical-align: middle;
}

.loading-logo-box{
    width: 154px;
    display: block;
    position: relative;
    margin: 0 auto;
    overflow: hidden;
}
.loading-log{
    width: 100%;
    display: block;
    position: relative;

}
.loading-mask{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    background: #FFF;
    right: 0%;
    animation:  right2 2s linear 0s 1 forwards;

}

.border-mask{
    width: 100%;
    display: block;
    background-color: #FFF;
    position: relative;
    z-index: 16;
}
.border-mask span{
    width: 100%;
    height: 70px;
    display: block;
    position: absolute;
    border-radius: 50%;
    top: -35px;
    background-color: #FFF;
}

/* ---------------index-about-------------- */
.index-about-box{
    width: 1200px;
    display:block;
    margin: 0 auto;
    max-width: 100%;
    font-size: 0;
    padding: 50px;
    box-sizing: border-box;
}
.index-about-img-box{
    width: 400px;
    max-width: 100%;
    display: inline-block;
    vertical-align: middle;
}
.index-about-info-box{
    width: calc(100% - 400px);
    display: inline-block;
    vertical-align: middle;
    margin-top: 20px;
    position: relative;
}
.index-about-info-title{
    font-size: 20px;
    letter-spacing: 2px;
    padding-left: 30px;
    display: block;
    box-sizing: border-box;
    position: relative;
    margin-bottom: 20px;
}
.index-about-info-title:before{
    content: 'none';
    font-size: 0;
    display: block;
    width: 20px;
    height: 20px;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-image: url('../img/about-icon.png');
    position: absolute;
    top: calc(50% - 10px);
    left: 0;
}
.index-article-p{
    font-size: 16px;
    color: #555;
    letter-spacing: 1px;
    line-height: 2.5;
}
.index-about-bg-box{
    width: 200px;
    max-width: 100%;
    display: block;
    position: absolute;
    pointer-events: none;
    top: -40px;
    right: -60px;
}



/* -------------products------------------ */
.index-products-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
}
.index-prodcucts-title{
    font-size: 20px;
    font-weight: bold;
    color: #ff7200;
    letter-spacing: 2px;
    position: relative;
    display: block;
    width: 90px;
    max-width: 100%;
    margin: 0 auto;
    padding: 30px 0;
}

.index-prodcucts-title:after{
    content: 'none';
    font-size: 0;
    width: 90px;
    height: 10px;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-image: url('../img/products-title-line.png');
}
#index-products{
    width: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-image: url('../img/products-bg.jpg');
}
.index-products-class-box{
    display: block;
    text-align: center;
    width: 100%;
    font-size: 0;
    padding-bottom: 20px;

}
.index-products-class{
    display: inline-block;
    position: relative;
    vertical-align: top;
}
.rwd-index-products-mask{
    display: none;
}
.index-products-class:after{
    content: '/';
    font-size: 16px;
    display: block;
    position: absolute;
    top: 0;
    right: 0;

}
.index-products-class a{
    display: block;
    padding: 0 20px;
    letter-spacing: 2px;
    font-size: 16px;
    transition: all .3s linear;
}
.rwd-index-products-class{
    display: none;
}
.index-products-class-icon{
    text-align: center;
}
.index-products-list-box{
    width: 1030px;
    max-width: 100%;
    margin: 0 auto;
    display: block;
    font-size: 0;
}

.index-products-list{
    width: 340px;
    max-width: 100%;
    height: 340px;
    display: inline-block;
    position: relative;
    margin-bottom: 5px;
    vertical-align: top;
}
.index-products-list-box .index-products-list:nth-child(3n+2){
    margin: 0 5px;
}
.index-products-list-img{
    width: 100%;
    height: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.index-products-list-mask-box{
    width: 100%;
    height: 100%;
    display: -webkit-flex;
    display: flex;
    -webkit-align-items: center;
          align-items: center;
    -webkit-justify-content: center;
          justify-content: center;
    flex-direction:column;
    padding: 20px;
    box-sizing: border-box;
    position: absolute;
    top: 0;
    left: 0;
    transition: all .3s linear;
    opacity: 0;
}
.index-products-list-mask{
    width: 100%;
    height: 100%;
    display: -webkit-flex;
    display: flex;
    -webkit-align-items: center;
    align-items: center;
    -webkit-justify-content: center;
    justify-content: center;
    flex-direction: column;
    background-color: rgba(0,0,0,0.5);
}
.index-products-list-title,
.index-products-list-weight{
    font-size: 16px;
    font-weight: 100;
    color: #fff;
    letter-spacing: 2px;
}
.index-products-page-box{
    width: 1120px;
    max-width: 100%;
    margin: 0 auto;
    font-size: 0;
    margin-top: 40px;
    padding-bottom: 50px;
}
.index-products-page-img-box{
    width: 50%;
    display: inline-block;
    vertical-align: top;
}
.index-products-page-img{
    width: 100%;
    max-width: 100%;
    height: 560px;
    display: block;
}

.index-products-page-info-box{
    width: 50%;
    display: inline-block;
    vertical-align: top;
    padding-left: 30px;
    box-sizing: border-box;
}
.index-products-page-title{
    font-size: 24px;
    letter-spacing: 2px;
    font-weight: bold;
    margin-bottom: 15px;
}
.index-products-page-introduction{
    color: #ff7200;
    font-size: 20px;
    font-weight: bold;
    margin-bottom: 15px;
    letter-spacing: 5px;
    display: block;
}
.index-products-page-introduction span{
    font-weight: 400;
    color: #000;
    padding-left: 10px;
}
.index-products-page-p{
    font-size: 14px;
    color: #000;
    letter-spacing: 2px;
    line-height: 2;
    height: 260px;
    overflow: hidden;
}
.index-products-page-much{
    font-size: 48px;
    font-weight: bold;
    letter-spacing: 2px;
    color: #6fae5b;
    margin: 10px 0;
    text-align: right;
    margin-right: 80px;
    margin-bottom: 35px;
}
.index-products-page-shopcar-box{
    width: 100%;
    display: block;
}

.index-products-page-shopcar-many-box{
    display: inline-block;
    vertical-align: top;
}
.index-prodcuts-page-shopcar-join{
    display: inline-block;
    vertical-align: top;
}
.index-products-page-shopcar-many{
    display: inline-block;
    font-size: 16px;
    vertical-align: middle;
    padding-right: 10px;
    letter-spacing: 2px;
}
.index-products-page-shopcar-many-box span{
    width: 30px;
    height: 30px;
    display: inline-block;
    vertical-align: middle;
    font-size: 12px;
    text-align: center;
    background-color: #ddd;
    line-height: 30px;
    cursor: pointer;
    transition: all .3s linear;
}
.index-products-page-shopcar-many-box span.stock{
    background-color: red;
    cursor: no-drop;
}
.page-box{
    padding: 30px 0;
    display: block;
    text-align: center;
}
.page-arrow{
    display: inline-block;
    vertical-align: middle;
}

.page-num{
    font-family: 'Courgette';
    font-size: 30px;
    letter-spacing: 7px;
    display: inline-block;
    vertical-align: middle;
    margin-right: 20px;
    margin-left: 25px;
}
.index-products-page-shopcar-many-box input{
    width: 100px;
    height: 30px;
    max-width: 100%;
    display: inline-block;
    vertical-align: top;
    box-sizing: border-box;
    text-align: center;
    border: none;
    outline: none;
}
.index-prodcuts-page-shopcar-join{
    width: 200px;
    height: 30px;
    box-sizing: border-box;
    background-color: #ff7200;
    font-size: 16px;
    text-align: center;
    letter-spacing: 3px;
    color: #FFF;
    line-height: 30px;
    margin-left: 50px;
    cursor: pointer;
}
.index-prodcuts-page-edit-title{
    width: 100%;
    display: block;
    font-size: 18px;
    font-weight: bold;
    margin-top: 50px;
    margin-bottom: 10px;
}

.edit-box{
    font-size: 16px;
    line-height: 2;
    letter-spacing: 2px;

}
.index-prodcuts-page-back{
    display: block;
    width: 200px;
    max-width: 100%;
    margin: 0 auto;
    font-size: 30px;
    font-weight: bold;
    text-align: center;
    letter-spacing: 10px;
    margin-top: 15px;
    transition: all .3s linear;
}
.index-prodcuts-page-back span{
    content: 'none';
    font-size: 0;
    width: 0px;
    height: 0px;
    margin: 0 auto;
    border-right: 14px solid #000;
    border-bottom: 10px solid transparent;
    border-top:10px solid transparent;
    display:inline-block;
    vertical-align: middle;
    margin-bottom: 8px;
    margin-right: 30px;
    transition: all .3s linear;
}
.page-box a{
    position: relative;
}
.page-box a img{
    display: none;
}
.page-box a:last-child:after{
    content: 'none';
    font-size: 0;
    width: 0;
    height: 0;
    display: block;
    margin: 0 auto;
    border-top: 13px solid transparent;
    border-bottom: 13px solid transparent;
    border-left: 15px solid #000;
    position: absolute;
    bottom: 0;
    left: calc(50% - 7.5px);
    top: -16px;
    transition: all .3s linear;
}
.page-box a:first-child:after{
    content: 'none';
    font-size: 0;
    width: 0;
    height: 0;
    display: block;
    margin: 0 auto;
    border-top: 13px solid transparent;
    border-bottom: 13px solid transparent;
    border-right: 15px solid #000;
    position: absolute;
    bottom: 0;
    left: calc(50% - 7.5px);
    top: -16px;
    transition: all .3s linear;
}

.page-box a:last-child:hover:after{
    border-left: 15px solid #22921a;
}
.page-box a:first-child:hover:after{
    border-right: 15px solid #22921a;
}

